#include "rfm0_ecpri_timer.h"
#include "ucp_drv_common.h"
#include "ucp_ecpri.h"
#include "ucp_param.h"
#include "ucp_printf.h"
#include "ucp_utility.h"
#include "phy_para.h"
#include "rfm0_mtimer.h"
#include "inter_vector.h"

extern stSfnPara gCellSfnPara[2];

void set_ecpri_timer_rfm0_int(void)
{
    int32_t apeId = get_core_id();

    // tx slot
    uint32_t intNum = APC_ECPRI_SUB_INTR2;
    int32_t ret = smart_irq_request(intNum, isr_ecpri_rfm0_symbol);
    if (0 != ret)
    {
        debug_write(DBG_DDR_ERR_IDX(apeId, 33), ret);
        UCP_PRINT_EMPTY("attach int num: 0x%x error. \r\n", intNum);
    }
}

void isr_ecpri_rfm0_symbol(void)
{
	mtimer_rfm0_symbol_callback(MTIMER_ECPRI_ID);
}


